diff -rupN seq24-rev48 adding win32/src/config.h seq24-rev48 win32 adding MouseInteraction/src/config.h
--- seq24-rev48 adding win32/src/config.h	2009-05-20 20:54:39.640625000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/config.h	2009-05-20 20:54:43.796875000 -0500
@@ -36,7 +36,7 @@
 #define STDC_HEADERS 1
 
 /* Version number of package */
-#define VERSION "0.9.0-win32-beta-1"
+#define VERSION "0.9.0-win32-beta-1a"
 
 /* gnu source */
 #define _GNU_SOURCE 1
diff -rupN seq24-rev48 adding win32/src/config_win32.h seq24-rev48 win32 adding MouseInteraction/src/config_win32.h
--- seq24-rev48 adding win32/src/config_win32.h	2009-05-20 20:54:57.171875000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/config_win32.h	2009-05-20 20:55:01.437500000 -0500
@@ -36,7 +36,7 @@
 #define STDC_HEADERS 1
 
 /* Version number of package */
-#define VERSION "0.9.0-win32-beta-1"
+#define VERSION "0.9.0-win32-beta-1a"
 
 /* gnu source */
 #define _GNU_SOURCE 1
diff -rupN seq24-rev48 adding win32/src/globals.h seq24-rev48 win32 adding MouseInteraction/src/globals.h
--- seq24-rev48 adding win32/src/globals.h	2009-05-20 20:30:46.046875000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/globals.h	2009-05-20 20:30:50.281250000 -0500
@@ -127,8 +127,11 @@ const int c_normal = 1;
 const int c_paste  = 2;
 
 /* redraw when recording ms */
+#ifdef __WIN32__
+const int c_redraw_ms = 20;
+#else
 const int c_redraw_ms = 40;
-
+#endif
 
 /* consts for perform editor */
 const int c_names_x = 6 * 24;
@@ -296,5 +299,24 @@ enum mouse_action_e 
     e_action_grow
 };
 
+enum interaction_method_e
+{
+    e_seq24_interaction,
+    e_fruity_interaction,
+    e_number_of_interactions // keep this one last...
+};
+const char* const c_interaction_method_names[] =
+{
+    "seq24",
+    "fruity",
+    NULL
+};
+const char* const c_interaction_method_descs[] =
+{
+    "original seq24 method",
+    "similar to a certain fruity sequencer we like",
+    NULL
+};
+extern interaction_method_e global_interactionmethod;
 
 #endif
diff -rupN seq24-rev48 adding win32/src/mainwnd.cpp seq24-rev48 win32 adding MouseInteraction/src/mainwnd.cpp
--- seq24-rev48 adding win32/src/mainwnd.cpp	2009-05-20 20:30:46.234375000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/mainwnd.cpp	2009-05-20 20:30:50.484375000 -0500
@@ -711,10 +711,10 @@ mainwnd::on_key_press_event(GdkEventKey*
 {
     // control and modifier key combinations matching
     // menu items have first priority
-    if (Gtk::Window::on_key_press_event(a_ev))
-        return true;
+    /*if (*/Gtk::Window::on_key_press_event(a_ev);
+        //return true;  // on win32, it'd always return true here (i.e. for SPACE bar)... ?
 
-    else if ( m_entry_notes->has_focus()) {
+    /*else */if ( m_entry_notes->has_focus()) {
         m_entry_notes->event( (GdkEvent*) a_ev );
         return false;
     }
diff -rupN seq24-rev48 adding win32/src/options.cpp seq24-rev48 win32 adding MouseInteraction/src/options.cpp
--- seq24-rev48 adding win32/src/options.cpp	2009-05-20 20:30:46.656250000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/options.cpp	2009-05-20 20:30:50.890625000 -0500
@@ -120,6 +120,30 @@ options::options (Gtk::Window & parent, 
     
     clock_mod_adj->signal_value_changed().connect( sigc::bind(mem_fun(*this,&options::clock_mod_callback),clock_mod_adj));
 
+    // add controls for input method
+    {
+        Adjustment *adj = new Adjustment( global_interactionmethod, 0, e_number_of_interactions-1, 1 );
+        SpinButton *spin = new SpinButton( *adj );
+
+        HBox *hbox2 = manage (new HBox ());
+        HBox *hbox3 = manage (new HBox ());
+
+        //m_spinbutton_bpm->set_editable( false );
+        interaction_method_label = new Label( " Input Method " );
+        hbox2->pack_start(*(manage( interaction_method_label )), false, false, 4);
+        hbox2->pack_start(*spin, false, false );
+
+        vbox->pack_start( *hbox2, false, false );
+
+        interaction_method_desc_label = new Label( " ----- " );
+        hbox3->pack_start(*(manage( interaction_method_desc_label )), false, false, 4);
+        vbox->pack_start(*hbox3, false, false );
+
+        adj->signal_value_changed().connect( SigC::bind(mem_fun(*this,&options::interaction_method_callback),adj));
+
+        // force it to refresh.
+        interaction_method_callback( adj );
+    }
 
     // Input Buses
     buses = m_perf->get_master_midi_bus ()->get_num_in_buses ();
@@ -254,6 +278,21 @@ options::clock_mod_callback( Adjustment 
     midibus::set_clock_mod((int)adj->get_value());
 }
  
+void
+options::interaction_method_callback( Adjustment *adj )
+{
+    global_interactionmethod = (interaction_method_e)(int)adj->get_value();
+    std::string text = " Interaction Method (";
+    text += c_interaction_method_names[(int)adj->get_value()];
+    text += "):  ";
+    interaction_method_label->set_text( text.c_str() );
+    
+    text = "     (";
+    text += c_interaction_method_descs[(int)adj->get_value()];
+    text += ") ";
+    interaction_method_desc_label->set_text( text.c_str() );
+}
+
 
     void
 options::input_callback (int a_bus, Button * i_button)
diff -rupN seq24-rev48 adding win32/src/options.h seq24-rev48 win32 adding MouseInteraction/src/options.h
--- seq24-rev48 adding win32/src/options.h	2009-05-20 20:30:46.671875000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/options.h	2009-05-20 20:30:50.906250000 -0500
@@ -63,6 +63,8 @@ class options : public Gtk::Dialog
     perform *m_perf;
 
     Button  *m_button_ok;
+    Label* interaction_method_label;
+    Label* interaction_method_desc_label;
 
 
     Table   *m_table;
@@ -85,6 +87,7 @@ class options : public Gtk::Dialog
     void clock_callback_mod( int a_bus, RadioButton *a_button );
 
     void clock_mod_callback( Adjustment *adj );
+    void interaction_method_callback( Adjustment *adj );
     
     void input_callback( int a_bus, Button *a_button );
     void transport_callback( button a_type, Button *a_button );
diff -rupN seq24-rev48 adding win32/src/optionsfile.cpp seq24-rev48 win32 adding MouseInteraction/src/optionsfile.cpp
--- seq24-rev48 adding win32/src/optionsfile.cpp	2009-05-20 20:30:46.703125000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/optionsfile.cpp	2009-05-20 20:30:50.937500000 -0500
@@ -187,7 +187,12 @@ optionsfile::parse( perform *a_perf )
     if (m_line[0] == '/')
         last_used_dir.assign(m_line);
 
-
+    /* interaction method  */
+    long method = 0;
+    line_after( &file, "[interaction-method]" );
+    sscanf( m_line, "%ld", &method );
+    global_interactionmethod = (interaction_method_e)method;
+    
     file.close();
 
     return true;
@@ -305,6 +310,17 @@ optionsfile::write( perform *a_perf  )
     file << "# not connect to other clients\n";
     file << global_manual_alsa_ports << "\n";
     
+    /* interaction-method */
+    int x = 0;
+    file << "\n\n\n[interaction-method]\n";
+    while (c_interaction_method_names[x] && c_interaction_method_descs[x])
+    {
+        file << "# " << x << " - '" << c_interaction_method_names[x]
+                     << "' (" << c_interaction_method_descs[x] << ")\n";
+        ++x;
+    }
+    file << global_interactionmethod << "\n";
+
  
 
     file << "\n\n\n[keyboard-control]\n";
